Subject: Re: Protocol Selection Process Discussion

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 15 Sep 2003 10:00:07 -0400

No committees please. The mailing list is pretty much dead other
than from people who believe certain things so i am not sure where you
will unbiased experts - if you can it will help incase of deadlocks.
Posting to the mailing list will get the usual suspects responding
anyways.
I think the requirements draft should be applied. We shouldnt stop
some protocol doing a lot of of slicing and dicing but that should get
no bonus in the evaluation.

cheers,
jamal

On Mon, 2003-08-25 at 11:49, Putzolu, David wrote:
> All,
>
> The requirements document has gone to IESG review and appears
> complete, and the framework, delta a couple of final
> topics recently raised, is approaching the same state.  With the
> model draft accepted as a WG document, and at least two protocol
> proposals on the table, it is time to start thinking about
> how we will go about protocol selection.
>
> At least three methods of protocol selection are possible:
>
> Evaluation committee:  Choose a committee of experts that
>     examine the proposed protocols and make a recommendation to the
>     working group.  Experts are drawn from a set of volunteers
>     and are approved by the chairs and ADs.  The experts
>     evaluate protocol proposals and make a recommendation
>     to the WG.  The WG would then have a brief discussion period
>     followed by a consensus call by the chairs.
>
> Protocol evaluation draft: The authors of each protocol proposal
>     are asked to contribute to a draft that includes a
>     section dedicated to each protocol.  In the relevant section
>     the authors of each protocol show on a point-by-point basis
>     how their protocol meets the requirements and fits into the
>     framework.  Once completed, the WG reviews the draft, which
>     is followed by a consensus call by the chairs.
>
> WG discussion: The WG as a whole holds a discussion on the
>     mailing list of the merits of each protocol proposal. At
>     the end of the discussion, the chairs make a consensus call.
>
> Please comment on the procedures above or suggest an alternate
> procedure.  We would like to reach a consensus on this topic by
> September 15 so please comment on this in a timely fashion.
> Completion of this topic will also signal the start of
> protocol selection (and the date by which protocol submissions
> should be in place).
>
> Thanks,
> David & Patrick

---

From: "(Ram Gopal )" <[email-masked]>
Date: Mon, 15 Sep 2003 20:51:48 -0400

I agree to avri's view.

Regards
Ramg

> -----Original Message-----
> From: ext avri [mailto:[email-masked]]
> Sent: Monday, August 25, 2003 8:27 PM
> To: [email-masked]
> Subject: Re: Protocol Selection Process Discussion
> 
> 
> Hi,
> 
> You list 3 methods.  I propose that you use two of the the methods and
> hold the third in reserve.
> 
> I..e Require each of the proponent groups to submit a d evaluation
> draft of their protocol against the requirements and discuss this on
> the WG list for some bounded time; e.g. a month.  If consensus is
> reached n the list then you have selection.  If it doesn't, at that
> point create the committee.  They can take the protocols, the
> evaluations and the comments made by the WG and come up with a
> recommendation, again in some measure of bounded time.
> 
> In any case i suggest the group use 2 out of three.  Even if the WG
> decides to go straight to committee, I believe the proponents should
> create the evaluation drafts.  And of course I believe those
> evaluations should be discussed on the list.
> 
> I don't think, btw, that it should fall only on the authors to create
> these evaluation drafts.  If they can get others who support their
> proposal to contribute to them, I think that is good.
> 
> 
> a.
> 
> On tisdag, aug 26, 2003, at 00:49 Asia/Seoul, Putzolu, David wrote:
>

---

From: "Yang, Lily L" <[email-masked]>
Date: Tue, 16 Sep 2003 22:12:37 -0700

I don't think we need to see separate draft as to how each protocol meets requirements -- instead, each protocol should have one section near the end addressing directly and concisely as how all the requirements are met. 

I also believe that meeting requirements might not be the only factor to consider in this process -- because I am sure the protocol designers must have worked hard to ensure that their protocol does meet the requirements! So if all solutions meet our requirements, great, but what do we do? There might be other factors outside of the requirements people care about, like what Alex suggested below. Other things like implementation experience (running code) also help.

Personally, I would rather not see ourselves going to the committee approach if we can avoid it -- it also sounds too procedure-oriented and behind-the-door for me. 

Lily

-----Original Message-----
From: Forwarding and Control Element Separation [mailto:[email-masked]] On Behalf Of Alex Audu
Sent: Tuesday, September 16, 2003 7:32 AM
To: [email-masked]
Subject: Re: Protocol Selection Process Discussion

Hello Avri,

I think this is a workable plan.  The draft as to how each protocol meets
requirements will certainly help. Other than how requirements are met, are
there
any other set of criteria (tangible and intangible) that the selection
process will
be based on?  I am also thinking of simplicity (complexity), robustness,
agility (potential processing speed), flexibility,..)

Regards,
Alex.

avri wrote:

> Hi,
>
> While I agree that committees are a second choice, sometimes they are
> necessary.  As for not finding unbiased people, I disagree.  I expect
> that there are folks around who can look at these objectively.  There
> are quite a number of knowledgeable participants on this list who do
> not seem to have any of the bones to pick regarding the protocol
> choice.  I would trust the chairs and ADs to find a selection of such
> folks if the need arises.  And the proponents of the protocols would be
> able to recognize whether this was a truly unbiased group.  So, if we
> get to the point of needing a committee, I expect one could be
> assembled.
>
> In terms of the public discussions I will be especially interested
> hearing in the opinions of people already working on, and implementing,
> solutions for ForCES type scenarios.  I will also be interested in
> seeing an analysis done by hardware savvy people of issues relating to
> the degree of ease or difficulty they would have with each of the the 3
> proposals in hardware.
>
> A question:  Is the decision going to be an all or nothing decision for
> one protocol?  Having read all three proposals, I am at the point of
> seeing advantages to all three and weakness is all (not ready to write
> it up, just hand waving at the moment).  While the three protocols have
> different approaches, and thus I see the group as having to pick one
> approach, I am hoping that the best elements of each can be worked into
> the protocol that makes it on to the standards track.
>
> a.
>
> On måndag, sep 15, 2003, at 23:00 Asia/Seoul, Jamal Hadi Salim wrote:
>